Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.trellis.sh/llms.txt

Use this file to discover all available pages before exploring further.

Provide feedback on an AI response to help improve future responses.
Authorization
string
required
Bearer token obtained from the authenticate endpoint.
message_id
string
required
Unique identifier of the message to provide feedback on.
feedback
string
required
Either "positive" (thumbs up) or "negative" (thumbs down).
note
string
Optional additional context. Typically used with negative feedback to explain what was wrong.

Response

id
string
required
Message ID.
metadata
object
required
Updated message metadata.
curl -X PATCH https://api.trellis.sh/v1/chats/messages/msg_002/feedback \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"feedback": "positive"}'
{
  "id": "msg_002",
  "metadata": {
    "feedback": "positive"
  }
}